# xarray.Dataset.update

`Dataset.``update`(other, inplace=True)

  Update this dataset’s variables with those from another dataset.

  Parameters:

  other : Dataset or castable to Dataset

  > Dataset or variables with which to update this dataset.

  inplace : bool, optional

  > If True, merge the other dataset into this dataset in-place. Otherwise, return a new dataset object.

  Returns:

  updated : Dataset

  > Updated dataset.

  Raises:

  ValueError

  > If any dimensions would have inconsistent sizes in the updated dataset.